Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233123 - vgsplit support for lvm1 format vg is broken
Summary: vgsplit support for lvm1 format vg is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 15:35 UTC by Milan Broz
Modified: 2013-03-01 04:05 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0753
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 15:58:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0753 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2007-11-14 16:56:08 UTC

Description Milan Broz 2007-03-20 15:35:14 UTC
vgsplit used on lvm1 PVs cause duplicate entries instead of vg split.

[root@vmware199 ~]# lvm version
  LVM version:     2.02.21-RHEL4 (2007-03-19)
  Library version: 1.02.17-RHEL4 (2007-02-02)
  Driver version:  4.5.0
[root@vmware199 ~]# pvcreate -M 1 /dev/sd[bcd]1
  Physical volume "/dev/sdb1" successfully created
  Physical volume "/dev/sdc1" successfully created
  Physical volume "/dev/sdd1" successfully created
[root@vmware199 ~]# vgcreate -M 1 vg_test /dev/sd[bcd]1
  Volume group "vg_test" successfully created
[root@vmware199 ~]# vgsplit -M 1 vg_test vg_test1 /dev/sdd1
  WARNING: Duplicate VG name vg_test: Existing
xye90P-9dIs-7pus-DC0g-L23p-k7Z5-99TI2d takes precedence over exported
xJmMmY-YTS6-JNmw-SE2h-104L-CV3b-73rWCz
  Volume group "vg_test1" became inconsistent: please fix manually
[root@vmware199 ~]# pvs
  WARNING: Duplicate VG name vg_test: Existing
xye90P-9dIs-7pus-DC0g-L23p-k7Z5-99TI2d takes precedence over exported
xJmMmY-YTS6-JNmw-SE2h-104L-CV3b-73rWCz
  PV         VG      Fmt  Attr PSize   PFree
  /dev/sda2  myvg    lvm2 a-     4.81G  32.00M
  /dev/sdb1  vg_test lvm1 a-   196.00M 196.00M
  /dev/sdb1  vg_test lvm1 a-   196.00M 196.00M
  /dev/sdc1  vg_test lvm1 a-   196.00M 196.00M
  /dev/sdc1  vg_test lvm1 a-   196.00M 196.00M

Comment 1 Milan Broz 2007-03-23 12:54:18 UTC
Fixed upstream in lvm2 2.02.25, waiting for pkg rebase -> POST.

Comment 2 RHEL Product and Program Management 2007-05-09 05:31:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 errata-xmlrpc 2007-11-15 15:58:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0753.html



Note You need to log in before you can comment on or make changes to this bug.